FLANG

Public Member Functions | List of all members
Fortran::runtime::Component Class Reference

## Public Member Functions
const char * | name () const
TypeCode | typeCode () const
const Descriptor * | staticDescriptor () const
bool | IsParent () const
bool | IsPrivate () const
bool | IsDescriptor () const
template<typename A >
A * | Locate (char *dtInstance) const
template<typename A >
const A * | Locate (const char *dtInstance) const
Descriptor * | GetDescriptor (char *dtInstance) const
const Descriptor * | GetDescriptor (const char *dtInstance) const

The documentation for this class was generated from the following file:

- runtime/derived-type.h